# Card Kiosk Collection

These APIs are designed to allow you to print and encrypt your card directly from a kiosk machine. The card information will be sent to our card manufacturer to configure and print the card on-site on a kiosk machine.
The card printing process will automatically begin once the request is received by our card manufacturer.
During the printing process, you will be notified via webhook about any [card production status change](/api-reference/legacy/webhook-event/eventcardscardproductionstatuschange).
Before using these APIs, make sure to read the guide on [kiosk collection](/guides/product/issue-cards/card-kiosk-collection#card-kiosk-collection).
Please reach out to your Implementation Manager for more information on these APIs.
**Testing**: In the sandbox environment, use the [card production simulation API](/api-reference/legacy/simulation/simulationcardproduction) to test your integration with various production statuses and error scenarios.
Production status flow 
These statuses represent the lifecycle of a card production:
- `READY` - Card is ready for production. The [produce card endpoint](/api-reference/legacy/card-kiosk-collection/cardkioskcollectionproduce) can be called.
- `IN_PROGRESS` - Card is being produced at the kiosk machine (chip encryption and printing in progress).
- `PRODUCED` - Card has been successfully produced and collected from the kiosk. This is a final state.
- `PRODUCTION_ERROR` - Card production failed. Check the errorCode to identify the issue, resolve it, then retry using the [produce card endpoint](/api-reference/legacy/card-kiosk-collection/cardkioskcollectionproduce).

A card with production status `PRODUCED` will trigger an asynchronous call to update the associated card order to `PRODUCED` status.
![Card production status flow](/images/diagrams/card-production-status-flow.png)

 - [PUT /v3/spend/profiles/{profileId}/cards/{cardToken}/production](https://docs.wise.com/api-reference/legacy/card-kiosk-collection/cardkioskcollectionproduce.md): Sends the card production request to a kiosk machine. To confirm that card information has been successfully created, listen to the [card-production-status-change](/api-reference/legacy/webhook-event/
 - [GET /v3/spend/profiles/{profileId}/cards/{cardToken}/production](https://docs.wise.com/api-reference/legacy/card-kiosk-collection/cardkioskcollectionproductionget.md): Retrieves the current production status of a card at a kiosk machine. **Best practice**: Subscribe to the [card production status change](/api-reference/legacy/webhook-event/eventcardscardproductionst
 - [POST cards#card-production-status-change](https://docs.wise.com/api-reference/legacy/card-kiosk-collection/eventcardscardproductionstatuschange.md): Triggered every time a card production status is updated. This webhook is solely used for physical cards with `KIOSK_COLLECTION` delivery method. For more details, see the [Card kiosk collection guide
